%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Math_Numerical_RootFinding
%define		subver	a2
%define		rel		2
Summary:	%{_pearname} - numerical analysis root finding methods
Summary(pl.UTF-8):	%{_pearname} - metody numeryczne znajdowania pierwiastków
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	770feb76b87ef10d33199cf27cc89440
URL:		http://pear.php.net/package/Math_Numerical_RootFinding/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provide various numerical analysis methods for find root
Available Methods:
- Bisection
- False Position
- Fixed Point
- Newton-Raphson
- Secant

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet udostępnia różne metody numeryczne do znajdowania
pierwiastków. Dostępne metody to:
- bisekcji
- regula-falsi
- stałego przecinka
- Newtona-Raphsona
- siecznych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/buildPackageXML.php

mv docs/%{_pearname}/docs/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Math/Numerical
%{php_pear_dir}/Math/Numerical/RootFinding.php
%{php_pear_dir}/Math/Numerical/RootFinding

%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> afa8028
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e1c1b6a
- tests are no longer installed - don't try to remove them

* Mon Nov 15 2010 Elan Ruusamäe <glen@pld-linux.org> 86e6bc3
- up to 1.1.0a2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 863126d
- up to 1.1.0a1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> ace7e68
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d24d0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2aebb00
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6ff99c2
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 89a16c4
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> d4730de
- 1.0.0 stable

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> ad0c639
- missing dir

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 7b7e6c3
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> bba3c2c
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> c7b085d
- new pear packaging

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> 7199b7a
- obsolete (applied upstream)

* Sat Feb 05 2005 Adam Gołębiowski <adamg@pld-linux.org> af34ff5
- updated to 0.3.0

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 1fedaa1
- added path_fix.patch (fix capitalization in M/N/RF/falseposition.php)
- release 3

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 3e2ac2f
- fix capitalization in falseposition.php

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 8bb9dbb
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 9909570
- spaces->tabs
- formatting

